ファネル全体データ取得
curl --request GET \
--url https://api.utage-system.com/v1/funnels/{funnel_id}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/funnels/{funnel_id}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/funnels/{funnel_id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"step_id": "<string>",
"step_name": "<string>",
"pv": 123,
"uu": 123,
"registration_count": 123,
"registration_rate": 123,
"sale_count": 123,
"purchase_rate": 123,
"sale_amount": 123,
"pages": [
{
"page_id": "<string>",
"page_name": "<string>",
"pv": 123,
"uu": 123,
"registration_count": 123,
"registration_rate": 123,
"sale_count": 123,
"purchase_rate": 123,
"sale_amount": 123
}
]
}
]
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "リソースが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "バリデーションエラーが発生しました"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}統計・登録者
ファネル全体データ取得
プレビュー機能。仕様は今後変更される可能性があります。 ファネルのステップ×ページ単位の集計データ(PV・UU・登録数・登録率・売上件数・購入率・売上金額)を取得します。管理画面「データ(合算)」画面と同等です。
ステップごとの合計値と、その配下の各ページの明細を返します。
ファネル全体データ取得
GET
https://api.utage-system.com/v1/funnels/{funnel_id}/stats
この機能はプレビュー版です。仕様が変更される場合があります。
Authorizations
APIキーをBearerトークンとして指定
Path Parameters
ファネルID
Query Parameters
集計開始日(YYYY-MM-DD)
集計終了日(YYYY-MM-DD。終了日を含む)
集計方法。
accrual_date: 発生日ベース(デフォルト)subscription_date: 初回登録日ベース
Available options:
accrual_date, subscription_date 登録経路IDで絞り込み
UTMソースで絞り込み
UTMメディアで絞り込み
UTMキャンペーンで絞り込み
UTMタームで絞り込み
UTMコンテンツで絞り込み
Response
ステップ×ページ単位の集計データ
Show child attributes
Show child attributes
⌘I